tusheng video
Generate a video from the first frame of the image.
POST
/ent/v2/img2videoBody Parametersapplication/json
aspect_ratio string
Aspect ratio, e.g. 16:9, 9:16, 1:1
audio boolean
Audio-related parameter or URL
callback_url string
Task completion callback URL
duration integer
Video duration (seconds)
images* array
First frame image URL, only 1
items string string
model* string
Model name
prompt string
text prompt word
resolution string
Resolution, such as 720p/1080p
seed integer
Random seed, 0 is random
watermark boolean
Whether to add watermark
Responses
200 success application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"duration": 5,
3"images": [
4"https://example.com/frame.jpg"
5],
6"model": "viduq2-pro",
7"prompt": "镜头缓缓推进"
8}
1curl -X POST "https://api.digislash.com/ent/v2/img2video" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"duration": 5,
6"images": [
7"https://example.com/frame.jpg"
8],
9"model": "viduq2-pro",
10"prompt": "镜头缓缓推进"
11}'
1▼{
2"code": 0,
3▼"data": {
4"task_id": "task_example_001"
5},
6"message": "success"
7}
